##
##  ne.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ne
Summary:      Textual Beginners Editor
URL:          http://ne.di.unimi.it/
Vendor:       Todd M. Lewis, Sebastiano Vigna
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Editor
License:      GPL
Version:      3.3.3
Release:      20231020

#   list of sources
Source0:      http://ne.di.unimi.it/ne-%{version}.tar.gz
Patch0:       ne.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, perl, texinfo
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  ncurses
PreReq:       ncurses

%description
    NE is a text editor based on the POSIX standard that runs (we hope)
    on almost any UN*X machine. NE is easy to use for the beginner, but
    powerful and fully configurable for the wizard, and most sparing in
    its resource usage. If you have the resources and the patience to
    use Emacs or the right mental twist to use Vi then probably NE is
    not for you. However, being fast, small, powerful and simple to use,
    NE is ideal for email, editing through phone line (or slow GSM/GPRS)
    connections and so on. Moreover, the internal text representation is
    very compact and you can easily load and modify very large files.

%track
    prog ne = {
        version   = %{version}
        url       = http://ne.di.unimi.it/
        regex     = ne-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    ( cd src
      %{l_make} %{l_mflags} \
          CC="%{l_cc}" \
          OPTS="%{l_cflags -O} %{l_cppflags ncurses .}" \
          LIBS="%{l_ldflags} -lncurses" \
          NE_NOWCHAR=1
    ) || exit $?

%install
    %{l_shtool} mkdir -f -p - m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        src/ne $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        doc/ne.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

